#!/usr/bin/python

import httplib
import urllib
import json

class Client(object):

    def __init__(self, api_key=None, username=None, name=None, host="rrd-service.org"):
        # Create server connection
        self._host = host
        self._connect()
        # Store query parameter
        self.api_key = api_key
        self.username = username
        self.name = name

    def __del__(self):
        # Drop server connection
        self._disconnect()

    def set_api_key(self, api_key):
        self.api_key = api_key

    def _connect(self):
        self._conn = httplib.HTTPConnection(self._host)

    def _disconnect(self):
        del self._conn
        self._conn = None

    def update(self, value):
        result = False
        params = urllib.urlencode({'api_key': self.api_key, 'username': self.username, 'name': self.name, 'value': value})
        path = "/update" + "?" + params
#        print path
        self._conn.request("GET", path)
        res = self._conn.getresponse()
#        print res.status, res.reason
        if res.status == 200:
            data = res.read()
            res_json = json.loads(data)
            if 'code' in res_json:
                result = res_json.get('code') == 0
        return result
